# react native app setup (not using Expo)
# REACT NATIVE CLI QUICKSTART, NOT EXPO GO QUICKSTART
# follow setup guide for each specific platform (iOS or Android) and OS (Linux, Windows, MacOS): https://reactnative.dev/docs/environment-setup

- make sure you have node and npm installed

- cd to directory where you want this app to be installed
- create app:

npx react-native@latest init SelahReactNativeApp

- select yes for installing react-native packages

NOTE: some of the files might complain about not being able to detect the babel.config.js file. Add this to your
settings.json file in VS Code (Open command pallete: View-> Command Pallete or Ctrl+Shift-P and type "settings"):

```
    "eslint.workingDirectories": [
        {"mode": "auto"}
    ]
```

- to run the app, open a new terminal and start Metro which is the js bundler that ships with react native. cd into
react-native app directory and run:

npx react-native start

- to start the app in an android device

